﻿/**Begin C:\Users\rd_mou_zou\Downloads\PDM_UPGRADE\PDM_UPGRADE\PDM1\PSSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_APPROVECFG') 
 CREATE TABLE T_PSSC_APPROVECFG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FIFAPPROVE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_APPROVECFG_L') 
 CREATE TABLE T_PSSC_APPROVECFG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_TASKAPPROVE') 
 CREATE TABLE T_PSSC_TASKAPPROVE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FCFMID BIGINT DEFAULT 0 NOT NULL,
FCFMDATE DATETIME,
FBILLDATE DATETIME,
FBIZTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_TASKAPPROVE_L') 
 CREATE TABLE T_PSSC_TASKAPPROVE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSSC_APPROVEENTRY') 
 CREATE TABLE T_PSSC_APPROVEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYRESULT CHAR(1) DEFAULT ' ' NOT NULL,
FNOTE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPRIORITY CHAR(1) DEFAULT ' ' NOT NULL,
FTASKNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNEWSOURCEORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEORGID BIGINT DEFAULT 0 NOT NULL,
FPURORGID BIGINT DEFAULT 0 NOT NULL,
FNEWHANDLERID BIGINT DEFAULT 0 NOT NULL,
FNEWPURGROUPID BIGINT DEFAULT 0 NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FPURGROUPID BIGINT DEFAULT 0 NOT NULL,
FPURMETHOD CHAR(5) DEFAULT ' ' NOT NULL,
FSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FSRCTYPEID BIGINT DEFAULT 0 NOT NULL,
FOPINION NVARCHAR(512) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREQORGID BIGINT DEFAULT 0 NOT NULL,
FREQDATE DATETIME,
FBIZUSERID BIGINT DEFAULT 0 NOT NULL,
FBIZTIME DATETIME,
FRECORGID BIGINT DEFAULT 0 NOT NULL,
FAPPROVETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End C:\Users\rd_mou_zou\Downloads\PDM_UPGRADE\PDM_UPGRADE\PDM1\PSSC_table.sql **/
